<template>
  <div class="page d-flex ma-md-5 justify-center">
    <v-card
      class="flex-grow-1 align-self-start"
      v-bind="$attrs"
    >
      <v-card-title class="headline">{{title}}</v-card-title>
      <div class="px-5">
        <slot />
      </div>
    </v-card>
  </div>
</template>

<script lang="ts">
import Vue from 'vue'
export default Vue.extend({
  name: 'Page',
  props: {
    title: { type: String, default: 'Page Title' }
  }
})
</script>
